<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <meta name="author" content="Sebastian Schmidt">
    <meta name="description" content="Pizza Mongo">
    <meta name="dbtype" content="mongo">
    <title>Pizza Mongo</title>
    <link rel="stylesheet" type="text/css" href="css/styles.css">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500&display=swap" rel="stylesheet">
    <link rel="shortcut icon" type="image/x-icon" href="favicon.ico">

    <script src="js/frontend.js"></script>
</head>
<body>
    <main>
        <a class="back" href="index.html">Zurück</a>
        <h1>Pizza MongoDB</h1>
        <div class="table">
            <section>
                <h2>Aktuelle Bestellungen</h2>
                <span class="loading" id="load_orders"><img src="img/loading.gif" alt="loading"/>Lädt Bestellungen</span>
                <ul id="orders">

                </ul>
            </section>
            <section>
                <h2>Pizza bestellen</h2>
                <p id="form_error"></p>
                <p id="form_success"></p>
                <form id="order_form">
                    <p>
                        <label for="pizza_name">Pizzaname:</label><br>
                        <input type="text" pattern="[a-zA-Z]+" id="pizza_name" name="pizza_name">
                    </p>
                    <p>
                        <label for="del_time">Lieferzeit:</label><br>
                        <input type="time" id="del_time" name="del_time">
                    </p>
                    <p>
                        <label for="extras">Sonderwünsche:</label><br>
                        <textarea id="extras" name="extras" cols="50" rows="10"></textarea>
                    </p>
                    <input class="order" type="button" value="Bestellen" onclick="addOrder()">
                </form>
                <form>
                    <input class="order" type="button" value="Alle Bestellungen löschen" onclick="deleteOrders()">
                </form>
            </section>
        </div>
    </main>
</body>
</html>